KDE 4.7 PyKDE API Reference

- KDE's Python API

# HTMLHtmlElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Root of an HTML document. See the <a href="http://www.w3.org/TR/REC-html40/struct/global.html#edef-HTML"> HTML element definition in HTML 4.0.

## Methods
| __init__ (self)
| __init__ (self, DOM.HTMLHtmlElement other)
| __init__ (self, DOM.Node other)
| setVersion (self, DOM.DOMString a0)
DOM.DOMString | version (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLHtmlElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

setVersion | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see version

DOM.DOMString version | ( |  | self ) |

Version information about the document's DTD. See the <a href="http://www.w3.org/TR/REC-html40/struct/global.html#adef-version"> version attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.